Subject: RE: [Megaco] Usage Of ContextId Wildcard

From: "Rosen, Brian" <[email-masked]>
Date: Thu, 13 Sep 2001 08:05:53 -0400

> In section 7.2.5 of RFC3015 it states that  ContextID  ALL 
> does not include the
> null context.
> 
> When using an AuditValue command with  ContextID = ALL and 
> TerminationID =
> specific, we could have
> the result that the specific termination is present in the 
> NULL context.
> 
> Can anyone confirm that the correct MG response for this case 
> is to return a
> transaction that specifies the NULL
> contextID with an AuditValue reply containing an 
> errorDescriptor with ErrorCode
> = 435 (TerminationID is not in
> specified Context).
My interpretation is that with the current definitions in the
protocol, that this is correct.  I'm not too happy, but that is
what it seems to me that you get.

> 
> It could be argued that this is not a true error situation 
> and that the
> transaction response should specify the NULL
> context with an an "empty" AuditValue reply.
If there was to be any change, my preference would be to relax the
7.2.5 statement to have an exception in Audit, but I'm not
really sure, at this time, I want to do that.

Brian

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco

---

From: "Chuong N. Nguyen" <[email-masked]>
Date: Thu, 13 Sep 2001 12:49:31 -0500

Hi Brian

Please see comments below.

> what it seems to me that you get.

<cnn>  What is correct here - returning Error descriptor
                                                       - returning NULL
or both?

              Can you point me to the definitions in the protocol that
you are referring to?
              I don't think it is clear in the Standard and
clarification is required in the IG.

> really sure, at this time, I want to do that.

<cnn>  Are we relaxing it enough to also returnAuditItems too if a
non-empty Audit Descriptor is sent?

Thanks
Chuong

--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****

---

From: Ian Leighton <[email-masked]>
Date: Thu, 13 Sep 2001 17:59:42 -0400

Comments below.

Regards
Ian

> what it seems to me that you get.

We have implemented this differently. We will return ContextId = *,
TerminationId = specific, Error Descriptor 435. I would be interested
in understanding which section of the protocol you are referring to.

It seems to me that if an MG was to send a reply with
ContextId=NULL,  TerminationId=specific, Error Descriptor
= 435, it would indicating the specified termination is not part
of the NULL context.

---

From: Mark Klerer <[email-masked]>
Date: Thu, 13 Sep 2001 19:44:43 -0400

Brian,

I believe Ian's response is correct. Since the ALL does not include the NULL
context, the specific Termination is not in any of the contexts sepecified.

Mark Klerer

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Ian Leighton
Sent: Thursday, September 13, 2001 6:00 PM
To: Rosen, Brian
Cc: Russell-Laing, Andrew; [email-masked]
Subject: Re: [Megaco] Usage Of ContextId Wildcard

Comments below.

Regards
Ian

---

From: Christian Groves <[email-masked]>
Date: Fri, 14 Sep 2001 11:26:12 +1000

H.248 Annex L has some relevant information on this.

L.5.2.16 Error Code #: 435 Name: Termination ID is not in specified
Context
Definition: A specific TerminationID specified in a Modify, Subtract,
AuditValue, AuditCapabilities, or ServiceChange command does not exist
in a specified context and therefore the command is disregarded.
Package: -
Reference: -
Error Text in error descriptor: The ContextID where the termination is
located are included in the error text in the error descriptor.
Comment: -

Therefore I think Context=ALL reply is correct. The NULL context is in
the Error Descriptor text.

Regards, Christian